VkPresentInfoKHR Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
uint32_t | waitSemaphoreCount
const VkSemaphore * | pWaitSemaphores
uint32_t | swapchainCount
const VkSwapchainKHR * | pSwapchains
const uint32_t * | pImageIndices
VkResult * | pResults

## Detailed Description

Definition at line 3568 of file vulkan.h.

## Field Documentation

## pImageIndices

const uint32_t* VkPresentInfoKHR::pImageIndices

Definition at line 3575 of file vulkan.h.

Referenced by render().

## pNext

const void* VkPresentInfoKHR::pNext

Definition at line 3570 of file vulkan.h.

## pResults

VkResult* VkPresentInfoKHR::pResults

Definition at line 3576 of file vulkan.h.

## pSwapchains

const VkSwapchainKHR* VkPresentInfoKHR::pSwapchains

Definition at line 3574 of file vulkan.h.

Referenced by render().

## pWaitSemaphores

const VkSemaphore* VkPresentInfoKHR::pWaitSemaphores

Definition at line 3572 of file vulkan.h.

Referenced by render().

## sType

VkStructureType VkPresentInfoKHR::sType

Definition at line 3569 of file vulkan.h.

Referenced by render().

## swapchainCount

uint32_t VkPresentInfoKHR::swapchainCount

Definition at line 3573 of file vulkan.h.

Referenced by render().

## waitSemaphoreCount

uint32_t VkPresentInfoKHR::waitSemaphoreCount

Definition at line 3571 of file vulkan.h.

Referenced by render().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h